/********************************************************************
 * Copyright © 2006 VHA. All rights reserved
 ********************************************************************/

/*
 * Created on Apr 3, 2006
 *
 */
package gov.va.med.esr.service;


// Java classes

// Library classes

// Framework classes
import gov.va.med.esr.common.persistent.security.SecurityDAO;
import gov.va.med.esr.common.util.AbstractCommonTestCase;

/**
 * @author Yi He
 * @version 1.0
 */
public class ReportServiceTest extends AbstractCommonTestCase {
    StandardReportService reportService;
	SecurityDAO securityDAO;

	public ReportServiceTest() {
		super();
	}

	public ReportServiceTest(String testName) {
		super(testName);
	}

	public StandardReportService getReportService() {
		return this.reportService;
	}
	
	public void setReportService(StandardReportService reportService) {
		this.reportService = reportService;
	}
	
	public ReportServiceTest(String[] configFiles) {
		super(configFiles);
	}

	public ReportServiceTest(String testName, String[] configFiles) {
		super(testName, configFiles);
	}
	
	public SecurityDAO getSecurityDAO(){
		return this.securityDAO;
	}
	
	public void setSecurityDAO (SecurityDAO dao) {
		this.securityDAO = dao;
	}
		
//	public void	testGetReportSetupsWithUser() throws ServiceException, DAOException {
//		UserPrincipal user = securityDAO.findUserByUsername("bea");
//	    List l = reportService.getReportSetups(user);
//	    this.assertNotNull(l);
//	    this.assertTrue(!l.isEmpty());
//	}

}

